import { createRequire as createRequireBecauseEsbuild } from 'module'; 
const require = createRequireBecauseEsbuild(import.meta.url);

// src/electron-host/electron-worker.js
import { interceptInProcess } from "dvlp/internal";
import { workerData } from "node:worker_threads";
var messagePort = (
  /** @type { import('worker_threads').MessagePort } */
  workerData.dvlp.messagePort
);
interceptInProcess({
  hostOrigin: workerData.dvlp.hostOrigin,
  postMessage: (
    /** @param { ApplicationWorkerMessage } msg */
    (msg) => {
      try {
        messagePort.postMessage(msg);
      } catch {
      }
    }
  ),
  serializedMocks: workerData.dvlp.serializedMocks
});
